import json
import mlflow
import numpy as np

logged_model = '/mlruns/13/da5c6167bb45403fa35569849a1fbc13/artifacts/model'
loaded_model = mlflow.pyfunc.load_model(logged_model)


with open(f'{logged_model}/input_example.json') as f:
    data = json.load(f)
    input_example = np.array([data['inputs'][0]], dtype=np.float64).reshape(-1, 2)


print(f'Prediction: {loaded_model.predict(input_example)}')
